FP	.set	A15
DP	.set	B14
SP	.set	B15

	.sect   .ITvecs

RESET_ISR:	; Reset
	.ref	_c_int00
	MVKL	.S2		(_c_int00), B0
	MVKH	.S2		(_c_int00), B0
	B		.S2		B0
	NOP
	NOP
	NOP
	NOP
	NOP

NMI_ISR:	; NMI
	B		.S2		NRP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP

RSV1:			; reserved
	B .S2 IRP	; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved

RSV2:			; reserved
	B .S2 IRP	; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved

INT4:	; by default, it is the (EXT_INT4 External Interrupt pin 4)
	B		.S2		IRP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP

INT5:	; by default, it is the EXT_INT5 (External Interrupt pin 5)
	B		.S2		IRP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP

INT6:	; by default, it is the EXT_INT6 (External Interrupt pin 6)
	B		.S2		IRP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP

INT7:	; by default, it is the EXT_INT7 (External Interrupt pin 7)
	B		.S2		IRP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	
INT8:	; by default, it is the EDMA_INT (EDMA Interrupt)
	B		.S2		IRP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP

INT9:			; reserved
	B .S2 IRP	; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved

INT10:	; by default, it is the SD_INTA (EMIFA SDRAM Timer Interrupt)
	B		.S2		IRP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP

INT11:			; reserved
	B .S2 IRP	; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved

INT12:			; reserved
	B .S2 IRP	; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved
	NOP			; reserved

INT13:	; by default, it is the DSPINT (Host port to DSP Interrupt)
	B		.S2		IRP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP

INT14:	; by default, it is the TINT0 (Timer 0 Interrupt)
	B		.S2		IRP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP

INT15:	; by default, it is the TINT1 (Timer 1 Interrupt)
	B		.S2		IRP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP

